#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-objgraph.spec)

%define 	module	objgraph
Summary:	Draws Python object reference graphs with graphviz
Summary(pl.UTF-8):	Rysowanie referencji między obiektami przy uzyciu graphviza
Name:		python-objgraph
# keep 3.5.x here for python2 support
Version:	3.5.0
Release:	2
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/objgraph/
Source0:	https://files.pythonhosted.org/packages/source/o/objgraph/%{module}-%{version}.tar.gz
# Source0-md5:	31ddfc309dd9ae41ddc50763737fdc6f
URL:		https://mg.pov.lt/objgraph/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-graphviz
BuildRequires:	python-mock
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-graphviz
%endif
%endif
%if %{with tests}
BuildRequires:	graphviz
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional dependency
%define		_noautoreq_pyegg	graphviz
%define		_noautoreq_py3egg	graphviz

%description
Module that lets you visually explore Python object graphs and debug
memory leaks.

%description -l pl.UTF-8
Moduł do wizualizacji grafów pythonowych obiektów i diagnozowania
wycieków pamięci.

%package -n python3-%{module}
Summary:	Draws Python object reference graphs with graphviz
Summary(pl.UTF-8):	Rysowanie referencji między obiektami przy uzyciu graphviza
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.6

%description -n python3-%{module}
Module that lets you visually explore Python object graphs and debug
memory leaks.

%description -n python3-%{module} -l pl.UTF-8
Moduł do wizualizacji grafów pythonowych obiektów i diagnozowania
wycieków pamięci.

%package apidocs
Summary:	API documentation for Python objgraph module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona objgraph
Group:		Documentation

%description apidocs
API documentation for Python objgraph module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona objgraph.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} tests.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} tests.py
%endif
%endif

%if %{with doc}
sphinx-build-2 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py_sitescriptdir}/%{module}.py*
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/__pycache__/%{module}.*
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_images,_static,*.html,*.js}
%endif
%changelog
* Thu Jun 26 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-objgraph.git;a=log;h=master

* Thu Jun 26 2025 Jakub Bogusz <qboosh@pld-linux.org> c8695ca
- disable python3 here, release 2

* Sun Sep 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 34befaa
- updated to 3.5.0
- removed obsolete mock patch

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> aa56d26
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6ce22fd
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e0d4bf3
- rebuild with python 3.10

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ed168c
- release 4 (by relup.sh)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> a66aa6c
- release 3 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 35f5f85
- release 2 (by relup.sh)

* Thu Jan 02 2020 Jakub Bogusz <qboosh@pld-linux.org> b9af2bb
- updated to 3.4.1
- added mock patch (use unittest.mock if available to avoid python3-mock dependency)
- added apidocs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1dcc8a9
- rebuild with python 3.8
- release 3 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 67b0ee2
- release 2 (by relup.sh)

* Wed Feb 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> d0630ac
- disable tests

* Wed Feb 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 8ea9379
- BR: graphviz for tests

* Wed Feb 28 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 8352fbf
- Updated to version 3.4.0 and for Python 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 9789261
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e8847ee
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7074a74
- automatic change: use py_build/py_install macros

* Fri Apr 13 2012 Mateusz Korniak <matkor@pld-linux.org> 23d84bf
- Initial 1.7.1-1.

